package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF7C3Response {

    @Parameter(name = "ActAmount")
    Double actAmount();

    @Parameter(name = "ActInterestRate")
    Double actInterestRate();

    @Parameter(name = "ActRpsn")
    Double actRpsn();

    @Parameter(name = "ActTerm")
    Long actTerm();

    @Parameter(name = "AgreementCondition")
    String agreementCondition();

    @Parameter(name = "AmountNew")
    Double amountNew();

    @Parameter(name = "Date34Statement")
    java.util.Date date34Statement();

    @Parameter(name = "DrawAmountNew")
    Double drawAmountNew();

    @Parameter(name = "InterestRateNew")
    Double interestRateNew();

    @Parameter(name = "LoanType")
    String loanType();

    @Parameter(name = "RevisionPeriod")
    Long revisionPeriod();

    @Parameter(name = "RpsnNew")
    Double rpsnNew();

    @Parameter(name = "TermNew")
    Long termNew();

}